;InnoSetupVersion=4.2.2

[Setup]
AppName=Tristana
AppVerName=Tristana 1.5
AppId=Tristana
AppPublisher=Charlwood eMarketing
AppPublisherURL=http://www.charlwood.com/tristana/home
AppSupportURL=http://www.charlwood.com/tristana/home
AppUpdatesURL=http://www.charlwood.com/tristana/home
DefaultDirName={pf}\Tristana
DefaultGroupName=Tristana
OutputBaseFilename=TristanaSetup
Compression=lzma
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Tristana.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Tristana.ico"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{userdocs}\My Tristana\Tristana.bin"; DestDir: "{userdocs}\My Tristana"; Flags: onlyifdoesntexist 

[Registry]
Root: HKCR; Subkey: "tristana"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "tristana"; ValueType: String; ValueData: "TRISTANA: Tristana Protocol"; 
Root: HKCR; Subkey: "tristana"; ValueName: "URL Protocol"; ValueType: String; 
Root: HKCR; Subkey: "tristana\shell\open\command"; ValueType: String; ValueData: "{app}\Tristana.exe /add %1"; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\MenuExt\Add Content To Tristana"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\MenuExt\Add Content To Tristana"; ValueType: String; ValueData: "res://{app}/AddContent.js"; 
Root: HKCU; Subkey: "Software\Microsoft\Internet Explorer\MenuExt\Add Content To Tristana"; ValueName: "Contexts"; ValueType: Dword; ValueData: "$22"; 

[INI]
FileName: "{app}\Tristana.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.charlwood.com/tristana/home"; 

[Run]
Filename: "{app}\Tristana.exe"; Description: "Launch Tristana"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Tristana"; Filename: "{app}\Tristana.exe"; IconFilename: "{app}\Tristana.ico"; 
Name: "{group}\Tristana on the Web"; Filename: "{app}\Tristana.url"; 
Name: "{group}\Uninstall Tristana"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Tristana"; Filename: "{app}\Tristana.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Tristana"; Filename: "{app}\Tristana.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\Tristana.url"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
